Reference

The contents of the Visual Basic Language Reference and Controls Reference includes topics on the controls, objects, properties, methods, events, statements, functions, and constants available.

Additionally, this Reference contains topics on wizards, trappable errors, data types, keyboard shortcuts, and bi-directional programming.


Visual Basic Samples

Visual Basic

Explore the Samples

The Visual Basic sample applications are located on the MSDN CD. You can install them during MSDN Installation by selecting "Visual Basic 6.0 Product Samples" in the Custom dialog box. If you have installed the sample applications, the directories can be found at the following location:

\Program Files\Microsoft Visual Studio\MSDN98\98VS\1033\samples\VB98\

If you have not installed the samples, you can copy the files from the MSDN Library CD, at this location:

\Samples\VB98

The following lists show the Visual Basic sample programs, organized by category.

ActiveX

ActXDoc.vbp ActiveX Document tutorial.
AXData.vbg ActiveX components acting as data sources for other controls.
Coffee Creating and using ActiveX components.
CtlPlus.vbp Creating an ActiveX control.
DatAware.vbp Creating classes that can act as sources or consumers of data.
GeoFacts.vbp Demonstrates the use of Excel objects in a Visual Basic application.

Controls

Controls.vbp Shows use of controls such as the TextBox, CommandButton, and Image.
CtlPlus.vbp Creating an ActiveX control.
CtlsAdd.vbp Adding controls to an application at run time.
Datatree.vbp Using the TreeView, ListView, and ProgressBar.
ListCmbo.vbp Data-binding to a list box and combo box.
OleCont.vbp OLE Container control.
RedTop.vbp Creates an animation of a spinning top.
VBTerm.vbp Terminal emulation using the MSComm control.

Data Access and Data Binding

Data Report Demonstrates the new Data Report designer.
AXData.vbg ActiveX components acting as data sources for other controls.
Biblio.vbp Using the Data control.
BookSale.vbp Uses an Automation server to encapsulate the logic of business policies and rules.
DatAware.vbp Creating classes that can act as sources or consumers of data.
Datatree.vbp Using the TreeView, ListView, and ProgressBar.
FirstApp.vbp Using the Data control and other data-aware controls.
ListCmbo.vbp Data-binding to a list box and combo box.
MSFlexGd.vbp Using the MS FlexGrid control.
Visdata.vbp DAO techniques.

Enterprise

Callback Server-initiated callback to the client.
Hello World Remote Automation Simple remote automation.
Interface Uses the COM apartment model resource allocation algorithm.
Message Queue Enterprise messaging.
Passthrough Server Simple pass-through server.
Pool Manager Clients ask the pool manager for a pointer to an object.

General Programming

ATM.vbp How to use a resource file.
CallDlls.vbp Calling procedures in dynamic-link libraries.
Controls.vbp Shows use of controls such as the TextBox, CommandButton, and Image.
Errors.vbp Error-handling techniques.
FirstApp.vbp Using the Data control and other data-aware controls.
MdiNote.vbp Making a simple multiple-document interface application. Menu creation.
Optimize.vbp Optimization techniques.
ProgWOb.vbp Programming with objects.
SdiNote.vbp Making a simple single-document interface application. Menu and toolbar creation.
TabOrder.vbp Reset the tab order of a given form using Visual Basic Extensibility model.
VCR.vbp How Visual Basic classes can be modeled after real-world objects.

Graphics

Blanker.vbp General graphics techniques.
Palettes.vbp PaletteMode settings; the Picture object.

Web

ActXDoc.vbp ActiveX Document tutorial.
DhShowMe.vbp DHTML techniques.
PropBag.vbp Storing state values between HTML pages.
Wcdemo.vbp WebClass demonstration.

Back to the Visual Basic Start Page

Island Hopper News sample
Explore the Visual Studio classified ads sample.

Visual Basic Samples


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.